Summary:	GL2PS - an OpenGL to PostScript printing library
Summary(pl.UTF-8):	GL2PS - biblioteka drukowania z OpenGL-a do PostScriptu
Name:		gl2ps
Version:	1.4.0
Release:	1
License:	LGPL v2+ or GP2PS License v2+ (see COPYING.GL2PS)
Group:		Libraries
Source0:	http://www.geuz.org/gl2ps/src/%{name}-%{version}.tgz
# Source0-md5:	3efb6e8fe4580fda23601b17161c189c
Patch0:		%{name}-link.patch
URL:		http://www.geuz.org/gl2ps/
BuildRequires:	OpenGL-devel
BuildRequires:	cmake >= 2.4
BuildRequires:	libpng-devel
BuildRequires:	rpmbuild(macros) >= 1.603
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GL2PS is a C library providing high quality vector output for any
OpenGL application. The main difference between GL2PS and other
similar libraries is the use of sorting algorithms capable of handling
intersecting and stretched polygons, as well as non manifold objects.
GL2PS provides advanced smooth shading and text rendering, culling of
invisible primitives, mixed vector/bitmap output, and much more...

GL2PS can currently create PostScript (PS), Encapsulated PostScript
(EPS) and Portable Document Format (PDF) files, as well as LaTeX files
for the text fragments. Adding new vector output formats should be
relatively easy (and amongst the formats we would be interested in
adding, SVG is first in line). Meanwhile, you can use the excellent
pstoedit program to transform the PostScript files generated by GL2PS
into many other vector formats such as xfig, cgm, wmf, etc.

%description -l pl.UTF-8
GL2PS to biblioteka C zapewniająca wysokiej jakości wyjście wektorowe
dla dowolnej aplikacji OpenGL. Główna różnica między GL2PS a innymi
podobnymi bibliotekami polega na użyciu algorytmów sortujących
potrafiących obsłużyć przecinające się i rozciągnięte wielokąty, a
także obiekty nie będące rozmaitościami. GL2PS zapewnia zaawansowane
gładkie cieniowanie i renderowanie tekstu, usuwanie niewidocznych
prymitywów, mieszane wyjście wektorowo-bitmapowe i wiele więcej.

GL2PS aktualnie potrafi tworzyć pliki PostScript (PS), Encapsulated
PostScript (EPS) oraz Portable Document Format (PDF), a także pliki
LaTeXa dla fragmentów tekstowych. Dodanie nowych wyjściowych formatów
wektorowych powinno być względnie łatwe (a spośród formatów, których
dodanie zainteresowani byliby autorzy, pierwszym jest SVG). Tymczasem
można używać świetnego programu pstoedit do przekształcania plików
PostScript generowanych przez GL2PS na wiele innych formatów
wektorowych, takich jak xfig, cgm, wmf itp.

%package devel
Summary:	Header files for GL2PS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GL2PS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenGL-devel

%description devel
Header files for GL2PS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GL2PS.

%package static
Summary:	Static GL2PS library
Summary(pl.UTF-8):	Statyczna biblioteka GL2PS
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GL2PS library.

%description static -l pl.UTF-8
Statyczna biblioteka GL2PS.

%prep
%setup -q -n %{name}-%{version}-source
%patch0 -p1

%build
%cmake .

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# docs packaged as %doc, tests not useful at runtime
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/gl2ps

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING.GL2PS README.txt
%attr(755,root,root) %{_libdir}/libgl2ps.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgl2ps.so.1

%files devel
%defattr(644,root,root,755)
%doc gl2ps.pdf
%attr(755,root,root) %{_libdir}/libgl2ps.so
%{_includedir}/gl2ps.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libgl2ps.a
%changelog
* Mon May 14 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gl2ps.git;a=log;h=master

* Mon May 14 2018 Jakub Bogusz <qboosh@pld-linux.org> b5a578b
- updated to 1.4.0

* Tue Nov 24 2015 Jakub Bogusz <qboosh@pld-linux.org> c52d1f6
- updated to 1.3.9

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 63f734c
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 99ea5f2
- release 2 (by relup.sh)

* Fri Nov 30 2012 Jakub Bogusz <qboosh@pld-linux.org> 8185250
- updated to 1.3.8

* Thu Nov 15 2012 Jakub Bogusz <qboosh@pld-linux.org> f4df5f9
- updated to 1.3.7
- updated link patch

* Sat Feb 11 2012 Adam Gołębiowski <adamg@pld-linux.org> 6ef79ad
- release 2 (rebuild against libpng-1.5)

* Thu Aug 18 2011 Jakub Bogusz <qboosh@pld-linux.org> 30d9e52
- updated to 1.3.6
- added link patch

* Sat May 29 2010 Tomasz Pala <gotar@pld-linux.org> 1b2c360
- rel. 4 as builders deny to do partial builds

* Sat May 29 2010 Tomasz Pala <gotar@pld-linux.org> af77afe
- one more workaround

* Sat May 29 2010 Tomasz Pala <gotar@pld-linux.org> 40497aa
- work around another shitty build system that can't cope with lib64

* Sat May 29 2010 Tomasz Pala <gotar@pld-linux.org> 1f4aac7
- switched build to cmake

* Sat May 29 2010 Tomasz Pala <gotar@pld-linux.org> fce1db7
- upgraded to 1.3.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6fb6e21
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3cee7fc
- converted to UTF-8

* Tue Jan 09 2007 Robert Tomasik <rotom@pld-linux.org> 025d84b
- up to 1.3.2

* Sat Oct 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 8692f6f
- pl desc, release 1

* Sat Oct 29 2005 Jakub Bogusz <qboosh@pld-linux.org> 01c29aa
- new, saving work

